org.apache.ignite.internal.client

## Class GridClientDisconnectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.client.GridClientException
      - - org.apache.ignite.internal.client.GridClientDisconnectedException

All Implemented Interfaces:
  Serializable

    public class GridClientDisconnectedException
    extends GridClientException

This exception is thrown when client has no Grid topology and (probably temporary) can't obtain it.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientDisconnectedException(String msg, GridClientException cause)` Creates exception with given message and cause.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.client.GridClientException

`hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientDisconnectedException

    public GridClientDisconnectedException(String msg,
                                   GridClientException cause)

Creates exception with given message and cause.

Parameters:
  `msg` - Error message.
  `cause` - Cause exception.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016